salesforce.cdp.hyperdb.v1

## Interface SqlTypeOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  SqlType, SqlType.Builder

    public interface SqlTypeOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.protobuf.Empty` `getEmpty()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.EmptyOrBuilder` `getEmptyOrBuilder()` `.google.protobuf.Empty empty = 2;`
`int` `getMaxLength()` `uint32 max_length = 3;`
`SqlType.ModifierCase` `getModifierCase()`
`SqlType.NumericModifier` `getNumericModifier()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.NumericModifierOrBuilder` `getNumericModifierOrBuilder()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.TypeTag` `getTag()` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`int` `getTagValue()` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`boolean` `hasEmpty()` `.google.protobuf.Empty empty = 2;`
`boolean` `hasMaxLength()` `uint32 max_length = 3;`
`boolean` `hasNumericModifier()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getTagValue

    int getTagValue()

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Returns:
  The enum numeric value on the wire for tag.

#### getTag

    SqlType.TypeTag getTag()

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Returns:
  The tag.

#### hasEmpty

    boolean hasEmpty()

`.google.protobuf.Empty empty = 2;`

Returns:
  Whether the empty field is set.

#### getEmpty

    com.google.protobuf.Empty getEmpty()

`.google.protobuf.Empty empty = 2;`

Returns:
  The empty.

#### getEmptyOrBuilder

    com.google.protobuf.EmptyOrBuilder getEmptyOrBuilder()

`.google.protobuf.Empty empty = 2;`

#### hasMaxLength

    boolean hasMaxLength()

`uint32 max_length = 3;`

Returns:
  Whether the maxLength field is set.

#### getMaxLength

    int getMaxLength()

`uint32 max_length = 3;`

Returns:
  The maxLength.

#### hasNumericModifier

    boolean hasNumericModifier()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Returns:
  Whether the numericModifier field is set.

#### getNumericModifier

    SqlType.NumericModifier getNumericModifier()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Returns:
  The numericModifier.

#### getNumericModifierOrBuilder

    SqlType.NumericModifierOrBuilder getNumericModifierOrBuilder()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

#### getModifierCase

    SqlType.ModifierCase getModifierCase()